> ## Documentation Index
> Fetch the complete documentation index at: https://79cdaa32-9b19-4e9d-ab9d-a89800ef0f46.valox.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves the redirect URL for the Monerium oAuth flow

> This is the same URL we return on /monerium-profile,
in the case something goes wrong you have this endpoint
if you need to redirect your users without calling /monerium-profile.




## OpenAPI

````yaml specs/api/spec.json get /api/v1/ibans/oauth/redirect_url
openapi: 3.0.0
info:
  title: ValoX API
  version: 1.0.0
  description: OpenAPI documentation for ValoX
servers:
  - url: https://api.valox.co
security: []
tags:
  - name: Account Management
    description: Information about your Account
  - name: Authentication
    description: Authenticate to our API using SIWE
  - name: Card Management
    description: Manage all your Cards
  - name: IBAN
    description: Integrate with Monerium to issue IBANs
  - name: KYC
    description: KYC using Sumsub SDK
  - name: Physical Card Order
    description: Order a Physical Card and manage the process
  - name: Rewards
    description: Cashback Rewards
  - name: Safe Management
    description: Manage your Safe
  - name: Transactions
    description: Manage Card Transactions
  - name: User
    description: Manage User Information
  - name: Webhooks
    description: Manage Webhooks
paths:
  /api/v1/ibans/oauth/redirect_url:
    get:
      tags:
        - IBAN
      summary: Retrieves the redirect URL for the Monerium oAuth flow
      description: |
        This is the same URL we return on /monerium-profile,
        in the case something goes wrong you have this endpoint
        if you need to redirect your users without calling /monerium-profile.
      parameters:
        - in: query
          name: callbackUrl
          schema:
            type: string
          required: false
          description: >-
            Optional URL to redirect the user to after the OAuth flow is
            completed. If not provided, a default redirect URL will be used.
      responses:
        '200':
          description: Successfully retrieved the redirect URL
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    required:
                      - redirectUrl
                    properties:
                      redirectUrl:
                        type: string
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '500':
          $ref: '#/components/responses/InternalServerError'
      deprecated: true
      security:
        - bearerAuth: []
components:
  responses:
    UnauthorizedError:
      description: Unauthorized Error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
    InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
          example: Internal server error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````